Quassel IRC - Bug #1130

Buggy Version Reply
12/20/2011 09:41 PM - flare183

Status: Resolved Start date: 12/20/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.3.0.x 0S: Any
Description

<Flarel83> wfjogw2jdowjodjwodjwo :VERSION Nothing.

-ZTecWiz_— VERSION Quassel IRC v0.7.3 (git-7db97a6) (built on Sep 8 2011 19:12:58) —- http://www.
quassel-irc.org

—Carlos— VERSION infobot 0.45.3 [Wurm]

—XB— VERSION eggdrop v1.6.20

—-Kyle— VERSION Quassel IRC v0.8-pre (0.8-pre+86 git-da2l5fc) (built on Nov 1 2011 08:15:07) -- ht
tp://www.quassel-irc.org

As you can see from above when a client inputs the raw VERSION command, quassel will reply a version no matter if its directed to
it or not.

Related issues:
Related to Quassel IRC - Bug #1142: CTCP action sending extra characters Resolved 02/29/2012

Associated revisions

Revision a272baf2 - 02/19/2013 09:50 PM - Bas Pape

Simplify CTCP parsing by default

Rather than adhering to the CTCP 'specification’, reply only to single
CTCP messages without text around them. All messages not fitting the
requirements are simply displayed in the buffer. The old behaviour can
still be enabled in the settings dialog.

Fixes #1130

History

#1-01/21/2012 08:53 PM - johu
- Target version deleted (0.7.4)

#2 - 02/29/2012 03:07 PM - al
- Category changed from Quassel Client to Quassel Core

- OS changed from Linux to Any

The currently implemented bevaviour is in accordance with the CTCP "specification" at http://www.irchelp.org/irchelp/rfc/ctcpspec.html.
That said, Quassel is about the only client around that correctly implements this spec, so it probably makes sense to abandon it and adapt other
clients' CTCP handling.

#3 - 02/29/2012 03:10 PM - sph

Also worth mentioning: this bypasses Freenode's (and possible other networks') +C channel mode. So you can spam all Quassel users in a channel
even when the channel mode is explicitly set to disallow channel CTCP's.

Quassel may be following the specs to the letter, it's not doing any good if the rest of the world and especially networks themselves behave
differently.

#4 - 09/25/2012 09:13 PM - Anonymous

- Target version set to Some future release

Debated rather often, consensus appeared to be dropping compliance with the specification as mentioned above.

07/03/2025 12



http://www.irchelp.org/irchelp/rfc/ctcpspec.html

MR 148 makes quassel ignore (i.e. print the message including ctcp in the buffer) all requests but ones that have one and only ctcp request, without
any surrounding text.

#5 - 02/19/2013 10:14 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:a272baf28f926a9e66be767936dd38b6b4aad4da.

#6 - 02/20/2013 08:06 PM - Anonymous
- Target version changed from Some future release to 0.9.0

- Version changed from 0.8-pre to 0.3.0.x
https://gitorious.org/quassel/quassel/merge_requests/148
